> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Linked Accounts



## OpenAPI

````yaml account-openapi.json GET /account/{account_id}/accounts-linked
openapi: 3.0.1
info:
  title: Verisoul API
  description: The Verisoul API is used to integrate Verisoul into your application.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.verisoul.ai
security:
  - apiKeyAuth: []
paths:
  /account/{account_id}/accounts-linked:
    get:
      description: Returns all accounts linked to a specific account
      parameters:
        - name: account_id
          in: path
          description: ID of the account to retrieve linked accounts for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Linked accounts response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinkedAccountsResponse'
              example:
                request_id: 9b3f35c7-a4e6-4762-91db-b026bfe46e9c
                accounts_linked:
                  - account_id: john-doe-1
                    score: 0.1085
                    match_type:
                      - network
                      - email
                      - browser
                      - device
                      - phone
                      - username
                    email: john.doe@example.com
                    phone: '+14155550123'
                    first_name: Jane
                    last_name: Doe
                    username: jane.doe
                    expected_countries:
                      - US
                      - CA
                    first_seen: '2025-06-10T16:47:29.661Z'
                    last_seen: '2025-12-03T08:21:14.902Z'
                    lists:
                      - us_users
                    metadata: {}
                  - account_id: john-doe-2
                    score: 0.1085
                    match_type:
                      - network
                      - email
                      - browser
                      - phone
                      - username
                    email: john.doe2@example.com
                    phone: '+14155550123'
                    first_name: Jane
                    last_name: Doe
                    username: jane.doe
                    expected_countries:
                      - US
                      - CA
                    first_seen: '2025-08-21T09:12:04.118Z'
                    last_seen: '2025-12-15T19:45:52.330Z'
                    lists:
                      - us_users
                    metadata: {}
        '400':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountError'
              example:
                statusCode: 400
                message: Account not found
components:
  schemas:
    LinkedAccountsResponse:
      type: object
      properties:
        request_id:
          type: string
          description: The ID of the request
        accounts_linked:
          type: array
          items:
            $ref: '#/components/schemas/LinkedAccount'
          description: List of accounts linked to the specified account
    AccountError:
      type: object
      properties:
        message:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: Status code
    LinkedAccount:
      type: object
      properties:
        account_id:
          type: string
          description: The ID of the linked account
        score:
          type: number
          format: float
          description: Confidence score of the link between accounts
        email:
          type: string
          description: Email associated with the linked account
        phone:
          type: string
          description: Phone number associated with the linked account
        first_name:
          type: string
          description: First name associated with the linked account
        last_name:
          type: string
          description: Last name associated with the linked account
        username:
          type: string
          description: Username associated with the linked account
        expected_countries:
          type: array
          items:
            type: string
          description: >-
            Expected countries declared for the linked account (ISO 3166-1
            alpha-2 codes)
        first_seen:
          type: string
          nullable: true
          format: date-time
          description: Timestamp when the linked account was first seen
        last_seen:
          type: string
          nullable: true
          format: date-time
          description: Timestamp when the linked account was last seen
        match_type:
          type: array
          items:
            type: string
          description: >-
            Types of matches that linked these accounts. Possible values:
            browser, device, network, email, phone, username, name, mobile_id,
            apple_device_check.
        lists:
          type: array
          items:
            type: string
          description: Lists the linked account belongs to
        metadata:
          type: object
          additionalProperties: true
          description: Additional metadata about the linked account
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````